## olpc-kbdshim 12

=== Makefile ===
# Copyright (C) 2009 Paul G. Fox
# Licensed under the terms of the GNU GPL v2 or later; see COPYING for details.

PACKAGE=olpc-kbdshim

# don't edit .spec -- edit .spec.tmpl
SPEC=$(PACKAGE).spec

DATETAG=$(shell date +%Y%m%d)
GITHEAD=git$(shell test -d .git && git rev-parse --short HEAD )

ifeq ($(do_rel),)
    SNAP=.$(DATETAG)$(GITHEAD)
endif

VERSION=12
RELEASE=$(shell cat .spec_release 2>/dev/null || echo error)
SRELEASE=$(RELEASE)$(SNAP)

TARBALL=$(PKGVER)-$(GITHEAD).tar.gz
SRPM=$(PKGVER)-$(SRELEASE).src.rpm

MOCK=./mock-wrapper -r fedora-11-i386 --resultdir=$(MOCKDIR)
MOCKDIR=./rpms
CWD=$(shell pwd)

PKGVER=$(PACKAGE)-$(VERSION)

# may be set externally to RPM_OPT_FLAGS
OPT_FLAGS ?= -O2 -g

#####

PROGS = olpc-kbdshim-hal olpc-kbdshim

# the "hal" version runs as a HAL addon daemon, and needs several
# libraries for the HAL interfaces
olpc-kbdshim-hal: \
	CFLAGS = -Wall $(OPT_FLAGS) -DVERSION=$(VERSION) \
	    $$(pkg-config --cflags hal) \
	    $$(pkg-config --cflags glib-2.0) \
	    $$(pkg-config --cflags dbus-glib-1)

olpc-kbdshim-hal: \
	LDLIBS = $$(pkg-config --libs hal) \
	    $$(pkg-config --libs glib-2.0) \
	    $$(pkg-config --libs dbus-glib-1)

# non-hal version of kbdshim is much simpler.  the downside is that
# it only monitors the local keyboard and touchpad, and won't detect
# user activity on USB devices.
olpc-kbdshim: CFLAGS = -Wall $(OPT_FLAGS) -DVERSION=$(VERSION)

#####

all: $(PROGS)

# testing targets
tarball:  $(TARBALL)
srpm: $(SRPM)


src_distribute: $(TARBALL) $(SRPM)
	scp $(TARBALL) $(SRPM)  \
		crank:public_html/rpms/srpms
#	scp $(SPEC) \
#		crank:public_html/rpms/srpms/$(SPEC)-$(VERSION)-$(SRELEASE)
distribute: src_distribute rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm
	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		crank:public_html/rpms

privdist:
	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		crank:public_html/private_rpms
	ssh crank ln -sf \
		$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		public_html/private_rpms/$(PKGVER)-$(RELEASE).latest.rpm

# create the real spec (carefully!) so it refers to a) our tarball, and
# b) our prerelease string.
$(SPEC): ALWAYS
	sed \
	-e 's/__VERSION__/$(VERSION)/' \
	-e 's/__RELEASE__/$(SRELEASE)/' \
	-e 's/__TARBALL__/$(TARBALL)/' \
	$(SPEC).tmpl > $(SPEC)


# build the tarball directly from git.
# THIS MEANS NO UNCOMMITED CHANGES WILL BE INCLUDED!!!

$(TARBALL):
	-git diff --exit-code # working copy is clean?
	-git diff --cached --exit-code # uncommitted changes?
	git archive --format=tar --prefix=$(PKGVER)/ HEAD | gzip -c > $@


# build the SRPM from the spec and the tarball

$(SRPM): $(SPEC) $(TARBALL)
	rpmbuild --define "_specdir $(CWD)" \
		 --define "_sourcedir $(CWD)" \
		 --define "_builddir $(CWD)"  \
		 --define "_srcrpmdir $(CWD)"  \
		 --define "_rpmdir $(CWD)"  \
		 --define "dist %nil"  \
		 --nodeps -bs $(SPEC)

# build rpm from the srpm
mock: $(SRPM)
	@mkdir -p $(MOCKDIR)
	$(MOCK) -q --init
	$(MOCK) --installdeps $(SRPM)
	$(MOCK) -v --no-clean --rebuild $(SRPM)

clean:
	rm -f *.o $(PROGS)
	-$(RM) $(SRPM) $(TARBALL)
	-$(RM) -rf $(MOCKDIR)

.PHONY: tarball srpm mock ALWAYS

## olpc-kbdshim 25

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,20 @@
 # Copyright (C) 2009 Paul G. Fox
 # Licensed under the terms of the GNU GPL v2 or later; see COPYING for details.
 
+
 PACKAGE=olpc-kbdshim
+VERSION=25
+
+FDIST=fc15
+
+# PGF_CROSS=1
+ifneq ($(PGF_CROSS),)
+    CC=arm-linux-gnueabi-gcc  
+    UDEVLIB=arm-cross/libudev.so.0
+    CFLAGS = -DPGF_CROSS
+else
+    UDEVLIB = -ludev 
+endif
 
 # don't edit .spec -- edit .spec.tmpl
 SPEC=$(PACKAGE).spec
@@ -13,14 +26,13 @@
     SNAP=.$(DATETAG)$(GITHEAD)
 endif
 
-VERSION=12
 RELEASE=$(shell cat .spec_release 2>/dev/null || echo error)
 SRELEASE=$(RELEASE)$(SNAP)
 
 TARBALL=$(PKGVER)-$(GITHEAD).tar.gz
 SRPM=$(PKGVER)-$(SRELEASE).src.rpm
 
-MOCK=./mock-wrapper -r fedora-11-i386 --resultdir=$(MOCKDIR)
+MOCK=./mock-wrapper -r fedora-14-i386 --resultdir=$(MOCKDIR)
 MOCKDIR=./rpms
 CWD=$(shell pwd)
 
@@ -31,49 +43,67 @@
 
 #####
 
-PROGS = olpc-kbdshim-hal olpc-kbdshim
+# PROGS = olpc-kbdshim olpc-kbdshim-hal olpc-kbdshim-udev
+PROGS = olpc-kbdshim olpc-kbdshim-udev
+
+all: $(PROGS)
+# all: olpc-kbdshim-hal
 
 # the "hal" version runs as a HAL addon daemon, and needs several
 # libraries for the HAL interfaces
 olpc-kbdshim-hal: \
-	CFLAGS = -Wall $(OPT_FLAGS) -DVERSION=$(VERSION) \
+	CFLAGS += -Wall $(OPT_FLAGS) -DVERSION=$(VERSION) \
 	    $$(pkg-config --cflags hal) \
 	    $$(pkg-config --cflags glib-2.0) \
 	    $$(pkg-config --cflags dbus-glib-1)
 
 olpc-kbdshim-hal: \
-	LDLIBS = $$(pkg-config --libs hal) \
+	LDLIBS += $$(pkg-config --libs hal) \
 	    $$(pkg-config --libs glib-2.0) \
 	    $$(pkg-config --libs dbus-glib-1)
 
-# non-hal version of kbdshim is much simpler.  the downside is that
+olpc-kbdshim-hal: olpc-kbdshim-hal.o common.o
+	$(CC) -o $@ olpc-kbdshim-hal.o common.o $(LDLIBS)
+	
+# the udev version relies only on libudev
+olpc-kbdshim-udev: \
+	CFLAGS += -Wall $(OPT_FLAGS) -DVERSION=$(VERSION)
+	LDLIBS = $(UDEVLIB)
+
+olpc-kbdshim-udev: olpc-kbdshim-udev.o common.o
+	$(CC) -o $@ olpc-kbdshim-udev.o common.o $(LDLIBS)
+	
+# non-hal version of kbdshim needs nothing.  the downside is that
 # it only monitors the local keyboard and touchpad, and won't detect
 # user activity on USB devices.
-olpc-kbdshim: CFLAGS = -Wall $(OPT_FLAGS) -DVERSION=$(VERSION)
+olpc-kbdshim: CFLAGS += -Wall $(OPT_FLAGS) -DVERSION=$(VERSION)
+
+olpc-kbdshim: olpc-kbdshim.o common.o common.h
+	$(CC) -o $@ olpc-kbdshim.o common.o $(LDLIBS)
+
+olpc-kbdshim.o olpc-kbdshim-hal.o common.o: common.h
 
 #####
-
-all: $(PROGS)
 
 # testing targets
 tarball:  $(TARBALL)
 srpm: $(SRPM)
 
-
-src_distribute: $(TARBALL) $(SRPM)
+public_html: $(TARBALL) $(SRPM) rpms/$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm
 	scp $(TARBALL) $(SRPM)  \
 		crank:public_html/rpms/srpms
-#	scp $(SPEC) \
-#		crank:public_html/rpms/srpms/$(SPEC)-$(VERSION)-$(SRELEASE)
-distribute: src_distribute rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm
-	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
+	scp rpms/$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm \
 		crank:public_html/rpms
 
+public_rpms: $(TARBALL) $(SRPM) rpms/$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm
+	scp $(TARBALL) $(SRPM) rpms/$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm \
+		crank:public_rpms/f14
+
 privdist:
-	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
+	scp rpms/$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm \
 		crank:public_html/private_rpms
 	ssh crank ln -sf \
-		$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
+		$(PKGVER)-$(SRELEASE).$(FDIST).i686.rpm \
 		public_html/private_rpms/$(PKGVER)-$(RELEASE).latest.rpm
 
 # create the real spec (carefully!) so it refers to a) our tarball, and

## olpc-kbdshim 27

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 PACKAGE=olpc-kbdshim
-VERSION=25
+VERSION=27
 
 FDIST=fc15

=== debian/changelog ===
olpc-kbdshim (27-3) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Tune (Pre-)Depends.
  * Do not omit hardening flags.
  * Update Lintian overrides.
  * Add upstream metadata, Homepage and watch file.
  * Work around struct input_event.time kernel api change.  (Closes: #1069440)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 16:05:16 +0200

olpc-kbdshim (27-2) unstable; urgency=low

  * Orphaning this package. I no longer own any OLPC hardware.
  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Set source package format to 3.0.
  * Update debian/copyright for DEP5.
  * Depend on lsb-base.

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 22:06:04 +0000

olpc-kbdshim (27-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 02 Jun 2012 04:38:57 +0000

olpc-kbdshim (25-1) unstable; urgency=high

  * New upstream release.
  * Drop olpc-kbdshim-hal (closes: #613198, #665589).
  * Drop olpc-kbdshim-common, and just use a single olpc-kbdshim package
    (which uses the olpc-kbdshim-udev binary).
  * Update copyright file.
  * Add -A to default daemon args.
  * Make init script load the olpc_dcon module (as that has the sysfs
    backlight controls on OLPC devices).

 -- Andres Salomon <dilinger@debian.org>  Fri, 30 Mar 2012 19:42:27 +0000

olpc-kbdshim (12-3) unstable; urgency=high

  * Init script should check /proc/device-tree/model rather than /ofw/model,
    as that's where the upstream kernel places the device tree.  Last minute
    fix for squeeze.

 -- Andres Salomon <dilinger@debian.org>  Sat, 11 Dec 2010 03:25:27 +0000

olpc-kbdshim (12-2) unstable; urgency=low

  * Fix a buglet w/ kbdshim-hal not starting correctly.
  * Bail out of the kbdshim init script early if not on an XO.
  * Bump the standards-version.
  * Fix some lintian errors.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 23:09:49 +0000

olpc-kbdshim (12-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 00:39:17 +0000

=== debian/control ===
Source: olpc-kbdshim
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libudev-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://dev.laptop.org/git/users/pgf/olpc-kbdshim
Vcs-Browser: https://salsa.debian.org/debian/olpc-kbdshim
Vcs-Git: https://salsa.debian.org/debian/olpc-kbdshim.git

Package: olpc-kbdshim
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 udev,
 ${shlibs:Depends},
 ${misc:Depends},
Provides: olpc-kdbshim-hal, olpc-kbdshim-common
Conflicts: olpc-kbdshim-hal, olpc-kbdshim-common
Replaces: olpc-kbdshim-hal, olpc-kbdshim-common
Description: OLPC XO keyboard support daemon
 The olpc-kbdshim daemon is used to handle keyboard events on the somewhat
 unique OLPC XO hardware.  It does this by monitoring the keyboard and
 touchpad, enabling the XO "grab" keys and touchpad rotation (to match
 screen rotation), and reporting user (in)activity.  It can also bind the XO
 screen rotate, brightness, and volume keys to appropriate commands (which are
 provided).

=== debian/watch ===
version=4
https://dev.laptop.org/git/users/pgf/olpc-kbdshim/refs/tags \
  (?:.*?/)?olpc-kbdshim-(\d[\d.]*)\.tar\.bz2
